Subject: Re: [PATCH v7 2/2] test-config: Add tests for the config_set API

From: Tanay Abhra <[email-masked]>
Date: Wed, 09 Jul 2014 18:12:18 +0530

On 7/9/2014 5:43 PM, Matthieu Moy wrote:
> Tanay Abhra <[email-masked]> writes:
> 
>> +test_expect_success 'find value with misspelled key' '
>> +	test_must_fail check "my.fOo Bar.hi" "Value not found for \"my.fOo Bar.hi\""
>> +'
> 
> Sorry, this is still not right. You're checking that either test-config
> OR test_cmp fails. You want to check both.
> 
> Basically, you can't use the "check" helper here. Your v5 was right for
> this test:
> 
> test_expect_success 'find value with misspelled key' '
> 	echo "Value not found for \"my.fOo Bar.hi\"" >expect &&
> 	test_must_fail test-config get_value "my.fOo Bar.hi" >actual &&
> 	test_cmp expect actual
> '
> 
> 

Yup, I had thought so too, that was the reason I left the && chain in check()
in version 6. I will revert back to v5 for it.

Thanks.